QGIS Application - Feature request #9639
Keep CRS when saving DXF files
2014-02-24 11:49 AM - Novarese

Status: Closed

Priority: Normal

Assignee:

Category: DXF export

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18211

Description
Qqis 2.2.0 by Osgeo, under Win7_x64

If you save something as DXF (setting any output CRS) and you load the .DXF file back in an empty project, the CRS is not kept.

History

#1 - 2014-03-01 04:05 AM - Giovanni Manghi
- Category set to Vectors

- Status changed from Open to Feedback

- Target version set to Version 2.4

as far as | know the DXF format does not store any info about the CRS/SRID.

#2 - 2014-03-01 08:27 AM - Jiirgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#3 - 2014-03-06 04:19 AM - Novarese

_Giovanni Manghi wrote:

as far as | know the DXF format does not store any info about the CRS/SRID._

@ Giovanni

Fortunatamente lo conserva:

http://novarese.t15.org/gfoss/elba_32632.zip

Se apri questo DXF nel Blocco Note e cerchi la stringa "UTM", esso & pienamente georiferito: come controprova, caricalo nella trial di Autocad Map, poi
dai il comando ADESETCRDSYS...

Il problema & che Qgis non ingloba alcun SR nei DXF, nonostante richieda di specificarlo durante il salvataggio...

@ rest of the world

Luckily it stores it:
http://novarese.t15.org/gfoss/elba 32632.zip
If you open up this DXF in Notepad and look for "UTM" string, it's fully georeferenced: as countercheck, load it in the Acadmap trial, then type the
_ADESETCRDSYS command...

The issue is that Qgis does NOT embed any CRS within DXFs, even if it needs to specify it upon "saving as"...

#4 - 2014-03-06 05:47 AM - Jiirgen Fischer

Novarese wrote:

Luckily it stores it:
http.//novarese.t15.org/gfoss/elba_32632.zip

If you open up this DXF in Notepad and look for "UTM" string, it's fully georeferenced: as countercheck, load it in the Acadmap trial, then type the
_ADESETCRDSYS command...

The issue is that Qgis does NOT embed any CRS within DXFs, even if it needs to specify it upon "saving as"...

Well, applications (like Map) may save all kinds of data in custom dictionaries. The DXF spec doesn't mention ADE_PROJECTION. Do you know any
spec that could help with mapping ADE_PROJECTION codes to EPSG codes and vice versa?

#5 - 2014-10-11 07:12 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- Subject changed from Saved DXF doesn't keep the CRS to Keep CRS when saving DXF files
- Category changed from Vectors to DXF export

- Status changed from Feedback to Open

- Target version changed from Future Release - High Priority to Future Release - Nice to have
#6 - 2014-10-12 08:05 AM - Jiirgen Fischer

- Status changed from Open to Closed

closing for the lack of feedback

2025-04-26 22


http://novarese.t15.org/gfoss/elba_32632.zip
http://images.autodesk.com/adsk/files/acad_dxf2.pdf

